% Generate_BZK.m %

function [bzk] = Generate_BZK(KpointSetup)

  LX = KpointSetup(1);
  LY = KpointSetup(2);
  LZ = KpointSetup(3);
  
  bzk = zeros(LX*LY*LZ, 3);
  ikpt = 1;
  for ix = LX : -1 : 1,
    for iy = LY : -1 : 1,
      for iz = LZ : -1 : 1,
        bzk(ikpt,1) = (1+2*(ix-1)-LX)/2/LX;
        bzk(ikpt,2) = (1+2*(iy-1)-LY)/2/LY;
        bzk(ikpt,3) = (1+2*(iz-1)-LZ)/2/LZ;
        ikpt = ikpt + 1;
      end;
    end;
  end;
  
  