% Compute \int d^3x R(|x|) conj(HLM(theta, phi)) * exp(iK \cdot x) 

function result = HLMPlanewave(rgrid, rR, L, M, K)
  [theta, phi, Knorm] = Cartesian2Spherical(K(1), K(2), K(3));
  result = RadialIntegral(rgrid, rR, rgrid.*SphericalBessel(L,Knorm*rgrid))... 
           * conj(HLM(L, M, theta, phi)) * 4 * pi * j^L;
