% Compute \int d^3x exp(-iK \cdot x) R(|x|) HLM(theta, phi)

function result = PlanewaveHLM (K, rgrid, rR, L, M)
  [theta, phi, Knorm] = Cartesian2Spherical(-K(1), -K(2), -K(3));
  result = RadialIntegral(rgrid, rgrid.*SphericalBessel(L,Knorm*rgrid), rR)... 
           * HLM(L, M, theta, phi) * 4 * pi * j^L;
