% Compute 
% < K | S | LM > = \int d^3x exp(-iK \cdot x)R(|x|) S HLM(theta, phi)  

function result = PlanewaveSHLM(K, Stype, rgrid, rR, L, M)
  global Psp;
  result = PlanewaveHLM(K, rgrid, rR, L, M);
  for ibeta = 1 : Psp{Stype}.betaMax,
    if L == Psp{Stype}.beta_L(ibeta),
      for jbeta = 1 : Psp{Stype}.betaMax,
        if L == Psp{Stype}.beta_L(jbeta),
          result = result + Psp{Stype}.Q(ibeta,jbeta) * ...
                   PlanewaveHLM (K, rgrid, Psp{Stype}.rbeta(ibeta,:), L, M)*...
                   RadialIntegral(rgrid, Psp{Stype}.rbeta(jbeta,:), rR);
        end;
      end;
    end;
  end;
  