% FindOrb.m %

function id = FindOrb(tmpL, tmpM);
  id = 0;
  havefound = 0;
  for ii = 1 : length(tmpL),
    for jj = 1 : length(tmpM),
      if ( norm(tmpL(ii) - tmpM(jj) ) < 1e-2 ),
        havefound = havefound + 1;
        id = ii;
        
        if (norm(havefound-1) > 1e-2),
          fprintf(1,'\nFindOrb:  havefound = %d\n', havefound);
          break;
        end;
        
      end;
    end;
  end;
  
  if (id ==0),
    fprintf(1,'\nFindOrb:  no corresponding orbital\n');
    break;
  end;
  
  
