% xsf.m %

function [ss] = xsf(script_fname);
  
  if nargin<1,
    w=[];
    [s, w] = system('id -u');
    b = w(1, 1: (length(w)-1) );
    script_fname = [ '/tmp/' b '.tcl'];
  end;
  
  system('setenv XCRYSDEN_TOPDIR  /usr/local/XCrySDen/XCrySDen');
  system('setenv XCRYSDEN_SCRATCH /tmp');
%   system('setenv BABEL_DIR /usr/local/openbabel/openbabel-1.100.1/'); %
  system(' set path = ($XCRYSDEN_TOPDIR $path $XCRYSDEN_TOPDIR/scripts $XCRYSDEN_TOPDIR/util)');
  
  
  if (exist('~/.xcrysden') ~= 7),
    if ( exist('/etc/skel/.xcrysden') > 0),
      system('cp -rd /etc/skel/.xcrysden/ ~/');
    end
  end
  
  system('setenv DISPLAY `echo $DISPLAY | sed -e "s/localhost/127.0.0.1/"`');
  
  cmd = ['xterm -bg gray40 -fg white -cr yellow -sb -e xcrysden --script ' ...
         script_fname ' &'];
  
  [ss,ww] = system(cmd);
  
  
  
