% Compute 
% < LM | S | K > = \int d^3x R(|x|) conj(HLM(theta, phi)) S exp(iK \cdot x)

function result = HLMSPlanewave(rgrid, rR, L, M, Stype, K)
  global Psp;
  result = HLMPlanewave(rgrid, rR, L, M, K);
  for ibeta = 1 : Psp{Stype}.betaMax,
    if L == Psp{Stype}.beta_L(ibeta),
      for jbeta = 1 : Psp{Stype}.betaMax,
        if L == Psp{Stype}.beta_L(jbeta),
          result = result + Psp{Stype}.Q(ibeta,jbeta) * ...
                   RadialIntegral(rgrid, rR, Psp{Stype}.rbeta(ibeta,:)) * ...
                   HLMPlanewave(rgrid, Psp{Stype}.rbeta(jbeta,:), L, M, K);
        end;
      end;
    end;
  end;
  