% Compute  < L1M1 | S | L2M2 >

function result = YLMSYLM(ngrid, rgriddiff, rR1, L1, M1, Stype, rR2, L2, M2)
  global Psp;
  if (L1 ~= L2) || (M1 ~= M2)
    result = 0;
  else
    result = RadialIntegralLog(ngrid, rR1.*rR2, rgriddiff);
    for ibeta = 1 : Psp{Stype}.betaMax,
      if L1 == Psp{Stype}.beta_L(ibeta),
        for jbeta = 1 : Psp{Stype}.betaMax,
          if L2 == Psp{Stype}.beta_L(jbeta),
            result = result + Psp{Stype}.Q(ibeta,jbeta) * ...
                     RadialIntegralLog(ngrid, rR1.*Psp{Stype}.rbeta(ibeta,:), rgriddiff) *...
                     RadialIntegralLog(ngrid, rR2.*Psp{Stype}.rbeta(jbeta,:), rgriddiff);
          end;
        end;
      end;
    end;
  end;
  
